alert(location.href)

window.android = {
	toParse: function(url, title) {

	}
}
function removeInfo(){
	var self = plus.webview.currentWebview();
	var opener = self.opener();
	opener.evalJS('removeInfo()');
}
function getType(url) {
	if (/youku.com\/video.+\.html/.test(url)) {
		return 'youku'
	} else if (/qq\.com.+\.html/.test(url) && url.indexOf('index.html') === -1 && url.indexOf('all.html') === -1 && url.indexOf('search.html') === -1) {
		return 'tengxun'
	} else if (/iqiyi.com\/.+\.html/.test(url)) {
		return 'iqiyi'
	} else if (/gtv.com\/b\/\d+\/\d+\.html/.test(url)) {
		return 'mangguo'
	} else if (/sohu.com\/.+(\.shtml|\.html)/.test(url)) {
		return 'sohu'
	} else if (/le\.com\/.+\.html/.test(url)) {
		return 'leshi'
	} else if (/miguvideo.com.+detail\.jsp/.test(url)) {
		return 'migu'
	} else if (/m\.pptv\.com.+\.html/.test(url)) {
		return 'pptv'
	} else if (/1905\.com.+\.shtml/.test(url)) {
		return '1905'
	} else {
		return ''
	}
}

function plusReady(cb) {
	if (window.plus) {
		typeof cb === 'function' && cb(window.plus)
	} else {
		document.addEventListener('plusready', function() {
			typeof cb === 'function' && cb(window.plus)
		})
	}
}
var arr = [
	'youku.com',
	'qq.com',
	'iqiyi.com',
	'mgtv.com',
	'sohu.com',
	'le.com',
	'miguvideo',
	'm.pptv.com',
	'vip.1905.com'
]

function isReply(url) {
	for (var i = 0; i < arr.length; i++) {
		if (url.indexOf(arr[i]) > -1) {
			return true
		}
	}
}
var isNewSdk = true

function androidFullScreen() {
	if (isNewSdk) {
		var self = window.plus.webview.currentWebview()
		self.setStyle({
			videoFullscreen: 'landscape'
		})
	} else {
		document.addEventListener('webkitfullscreenchange', function() {
			var el = document.webkitFullscreenElement // 获取全屏元素
			if (el) {
				window.plus.screen.lockOrientation('landscape') // 锁死屏幕方向为横屏
			} else {
				window.plus.screen.unlockOrientation() // 解除屏幕方向的锁定
			}
		})
	}
}
if (isReply(location.href)) {
	var iframes = document.getElementsByTagName('iframe')
	for (var i = 0; i < iframes.length; i++) {
		iframes[i].parentNode.removeChild(iframes[i])
	}
	if (getType(location.href)) {
		removeInfo();
		var div = document.createElement('div')
		div.innerHTML =
			'<div class="bottomButton" style="position:fixed;z-index: 100000000;left: 0;right: 0;bottom: 15px; height: 45px;"> <img class="backHome" style="width: 44%; left: 15px; position: fixed; z-index: 100000" src="https://jjlmobile.oss-cn-shenzhen.aliyuncs.com/vsn1_1/backHome.png" alt=""> <img class="play_gray" style="width: 44%; right: 15px; position: fixed;z-index: 1000000" src="https://jjlmobile.oss-cn-shenzhen.aliyuncs.com/vsn1_1/play_gif.gif" alt=""> <img class="play" style="width: 44%; right: 15px; position: absolute; display: none" src="https://jjlmobile.oss-cn-shenzhen.aliyuncs.com/vsn1_1/play_gray.png" alt=""> <div class="guild" style="display: block;font-size: 15px; height: 40px; line-height: 40px; padding: 0 7px; background: rgba(0, 0, 0, .6);color:#fff;position: absolute; right: 25px;border-radius: 5px; top: -50px;"> 当前视频可播放，点击立即播放 <img class="guild-icon" style="width: 15.5px; position: absolute;bottom: -8px; right: 18px;" src="https://jjlmobile.oss-cn-shenzhen.aliyuncs.com/vsn1_1/guild-bottom.png" alt=""> </div> </div>'
		document.body.appendChild(div)
		window.open = function() {}
		document.querySelector('.play_gray').addEventListener('click', function() {
			console.log(location.href)
			plusReady(function() {
				mui.openWindow({
					url: '_www/static/html/video.html',
					id: 'playHtml',
					extras: {
						name: document.title,
						url: location.href
					}
				})
			})
		})
		document.querySelector('.backHome').addEventListener('click', function () {
			var currentWebView = plus.webview.getWebviewById('videoEl')
			plus.webview.close(currentWebView)
		})
		var playText =
			'<div class="playerImage" style="width: 100%;height: 100%;min-height: 200px;background:#000;display: flex; flex-flow: column wrap;align-items: center;justify-content: center;"> <img src="https://jjlmobile.oss-cn-shenzhen.aliyuncs.com/play-icon.png" style="width: 40px;height: 40px;display: block;margin: 0 auto;" alt="播放按钮"> <div class="text" style="font-size: 16px;color: #fff;text-align: center; margin-top: 10px;">解析完成，立即播放</div> </div>'
		// 清除播放框
		var elBox = ''
		var elClassName = ''
		switch (getType(location.href)) {
			case 'tengxun':
				elClassName = 'mod_player_viptips'
				break;
			case 'youku':
				elClassName = 'player-box'
				break;
			case 'iqiyi':
				elClassName = 'm-video-player-wrap'
				break;
			case 'mangguo':
				elClassName = 'video-area'
				break;
			case 'souhu':
				elClassName = 'top-poster'
				break;
			case 'leshi': 
				elClassName = 'movie_poster'
			case 'migu':
				elClassName = 'fixedHeader'
				break;
			case 'pptv':
				elClassName = 'playbox'
				break;
			default:
				;
		}
		elBox = document.querySelector('.' + elClassName)
		console.log('el-classname' + elClassName)
		if (elBox) {
			elBox.style['padding-top'] = '0'
			elBox.innerHTML = playText

			elBox.addEventListener('click', function () {
				plusReady(function() {
					mui.openWindow({
						url: '_www/static/html/video.html',
						id: 'playHtml',
						extras: {
							name: document.title,
							url: location.href
						}
					})
				})
			})
		} else {
			var timerPlay = setInterval(function () {
				elBox = document.querySelector('.' + elClassName)
				console.log('elBox' + elBox)
				if (elBox) {
					elBox.style['padding-top'] = '0'
					elBox.innerHTML = playText
					elBox.addEventListener('click', function () {
						plusReady(function() {
							mui.openWindow({
								url: '_www/static/html/video.html',
								id: 'playHtml',
								extras: {
									name: document.title,
									url: location.href
								}
							})
						})
					})
				} else {
					console.log('haha')
				}
			}, 300)
		}
		
	} else {
		var div = document.createElement('div')
		div.innerHTML =
			'<div class="bottomButton" style="position:fixed;left: 0;right: 0;bottom: 15px; height: 45px;z-index: 1000000000000"> <img class="backHome" id="backHome1" style="width: 44%; left: 15px; position: absolute;" src="https://jjlmobile.oss-cn-shenzhen.aliyuncs.com/vsn1_1/backHome.png" alt=""> </div>'
		document.body.appendChild(div)
	
		document.querySelector('#backHome1').addEventListener('click', function() {
			plusReady(function(plus) {
				var currentWebView = plus.webview.getWebviewById('videoEl')
				plus.webview.close(currentWebView)
			})
		})
	}
	document.body.style.minHeight = '1000px'
} else {

}

var i = 200
setInterval(function() {
	androidFullScreen()
	i += 1000
}, i)